cbuffer Globals
{
  float4x4 projectionMatrix;
  float4 diffuseColor;
};

struct VS_OUTPUT
{
  float4 Position : SV_Position;
  float2 TexCoord : TEXCOORD0;
};

Texture2D diffuseTexture;
SamplerState diffuseSampler;

float4 main(VS_OUTPUT In) : SV_Target
{
  return diffuseColor * diffuseTexture.Sample(diffuseSampler, In.TexCoord.xy);
}
